From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ada/libgpr/
Date: Fri, 03 Jan 2025 20:16:54 +0000 (UTC) [thread overview]
Message-ID: <1735935392.7f56465381a57b8cfaefd495ad72c23feb77f8d4.tupone@gentoo> (raw)
commit: 7f56465381a57b8cfaefd495ad72c23feb77f8d4
Author: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 3 20:13:19 2025 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Jan 3 20:16:32 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f564653
dev-ada/libgpr: add 25.0.0
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
dev-ada/libgpr/Manifest | 1 +
dev-ada/libgpr/libgpr-25.0.0.ebuild | 68 +++++++++++++++++++++++++++++++++++++
2 files changed, 69 insertions(+)
diff --git a/dev-ada/libgpr/Manifest b/dev-ada/libgpr/Manifest
index 7d8b092ac7d2..760cc0916601 100644
--- a/dev-ada/libgpr/Manifest
+++ b/dev-ada/libgpr/Manifest
@@ -1 +1,2 @@
DIST gprbuild-24.0.0.tar.gz 959615 BLAKE2B c432b1f13a1aecb8f664aeb06694d86123268f29b43a50f5c7a48d7428c0b1c16f397e5a84c097aba04c7ee34011df119b154fd546ce156c999a54d159a84afb SHA512 09da4d54f2f151e9f9453e1a459533e2373eb5d4c51831be2bf90964ebcf653752de2f8b271c77f7b599f62146516fc60258ec3c96779fa2b52cd52979c6bd03
+DIST gprbuild-25.0.0.tar.gz 940774 BLAKE2B b2a2895db767b55e459351ea6fbeb91a771b6e39672217d53fb2b4aeea4f42aa093760448da715ffb0b7da54c50b4b55f0034910ebfdfc52a8cde7dad7533ef0 SHA512 eb2d7072194323cae90acd0c8683eeb6a806ef6ff2ed4d3496e8b94c5b63dae8a428ec428a3610b380df7e122d7a00d9e9634ef06b5369b165536c99209602ce
diff --git a/dev-ada/libgpr/libgpr-25.0.0.ebuild b/dev-ada/libgpr/libgpr-25.0.0.ebuild
new file mode 100644
index 000000000000..84f50cfa36ba
--- /dev/null
+++ b/dev-ada/libgpr/libgpr-25.0.0.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ADA_COMPAT=( gnat_2021 gcc_12 gcc_13 )
+inherit ada multiprocessing
+
+MYPN=gprbuild
+MYP=${MYPN}-${PV}
+
+DESCRIPTION="Ada library to handle GPRbuild project files"
+HOMEPAGE="https://github.com/AdaCore/gprbuild"
+SRC_URI="https://github.com/AdaCore/${MYPN}/archive/refs/tags/v${PV}.tar.gz
+ -> ${MYP}.tar.gz"
+
+S="${WORKDIR}"/${MYP}
+
+LICENSE="GPL-3"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="+shared static-libs static-pic"
+
+RDEPEND="dev-ada/xmlada:=[shared?,static-libs?,static-pic?,${ADA_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-ada/gprbuild[${ADA_USEDEP}]"
+REQUIRED_USE="${ADA_REQUIRED_USE}
+ || ( shared static-libs static-pic )"
+
+PATCHES=( "${FILESDIR}"/${PN}-2020-gentoo.patch )
+
+src_prepare() {
+ default
+ sed -i -e '/Library_Name/s|gpr|gnatgpr|' gpr/gpr.gpr || die
+}
+
+src_configure() {
+ emake setup
+}
+
+src_compile() {
+ build () {
+ gprbuild -p -m -j$(makeopts_jobs) -XBUILD=production -v \
+ -XLIBRARY_TYPE=$1 -XXMLADA_BUILD=$1 \
+ gpr/gpr.gpr -cargs:C ${CFLAGS} -cargs:Ada ${ADAFLAGS} || die
+ }
+ if use shared; then
+ build relocatable
+ fi
+ if use static-libs; then
+ build static
+ fi
+ if use static-pic; then
+ build static-pic
+ fi
+}
+
+src_install() {
+ if use static-libs; then
+ emake prefix="${D}"/usr libgpr.install.static
+ fi
+ for kind in shared static-pic; do
+ if use ${kind}; then
+ emake prefix="${D}"/usr libgpr.install.${kind}
+ fi
+ done
+ rm -r "${D}"/usr/share/gpr/manifests || die
+}
next reply other threads:[~2025-01-03 20:16 UTC|newest]
Thread overview: 61+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-03 20:16 Alfredo Tupone [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-10 0:28 [gentoo-commits] repo/gentoo:master commit in: dev-ada/libgpr/ Sam James
2025-03-10 0:20 Sam James
2025-02-24 20:33 Alfredo Tupone
2025-01-05 8:40 Alfredo Tupone
2025-01-03 19:53 Alfredo Tupone
2024-12-14 11:49 Sam James
2024-11-26 19:29 Alfredo Tupone
2024-11-22 13:00 Sam James
2024-02-29 11:08 Alfredo Tupone
2023-12-16 20:17 Alfredo Tupone
2023-11-06 20:21 Alfredo Tupone
2023-03-21 21:02 Alfredo Tupone
2023-02-22 18:57 Alfredo Tupone
2023-02-02 21:29 Alfredo Tupone
2023-01-15 9:36 Alfredo Tupone
2023-01-14 21:32 Alfredo Tupone
2022-12-04 21:11 Alfredo Tupone
2022-12-04 7:52 Alfredo Tupone
2022-11-21 18:21 Alfredo Tupone
2022-11-21 18:15 Alfredo Tupone
2022-09-19 6:33 Alfredo Tupone
2022-03-17 10:29 Alfredo Tupone
2021-12-22 19:08 Alfredo Tupone
2021-12-19 22:09 Agostino Sarubbo
2021-11-25 7:30 Alfredo Tupone
2021-11-17 7:28 Alfredo Tupone
2021-11-14 15:35 Alfredo Tupone
2021-09-19 13:07 Alfredo Tupone
2021-09-15 19:37 Alfredo Tupone
2021-07-20 6:33 Agostino Sarubbo
2021-06-05 13:27 Alfredo Tupone
2021-06-04 19:19 Alfredo Tupone
2021-06-02 14:18 Alfredo Tupone
2021-05-20 17:18 Alfredo Tupone
2021-05-14 19:56 Alfredo Tupone
2020-08-01 20:36 Alfredo Tupone
2020-06-17 19:25 Alfredo Tupone
2019-12-04 21:18 Alfredo Tupone
2019-10-18 16:59 Alfredo Tupone
2019-09-13 17:25 Alfredo Tupone
2019-09-05 6:26 Alfredo Tupone
2019-08-29 6:49 Alfredo Tupone
2019-08-28 16:30 Alfredo Tupone
2019-08-27 19:14 Alfredo Tupone
2019-06-21 6:17 Alfredo Tupone
2019-06-06 16:58 Alfredo Tupone
2019-05-30 7:13 Alfredo Tupone
2018-11-18 20:03 Alfredo Tupone
2018-11-13 20:32 Alfredo Tupone
2018-08-04 19:17 Alfredo Tupone
2018-07-01 19:21 Alfredo Tupone
2018-06-30 16:38 Alfredo Tupone
2018-06-28 19:08 Alfredo Tupone
2018-06-28 6:17 Alfredo Tupone
2018-06-25 7:39 Alfredo Tupone
2018-06-11 18:36 Alfredo Tupone
2018-04-21 12:44 Alfredo Tupone
2018-02-27 19:32 Alfredo Tupone
2018-02-11 9:10 Alfredo Tupone
2017-12-05 20:02 Alfredo Tupone
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1735935392.7f56465381a57b8cfaefd495ad72c23feb77f8d4.tupone@gentoo \
--to=tupone@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox